# Update Remitter Account PATCH https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account Content-Type: application/json This API is only applicable for INR bank accounts. Reference: https://docs.transak.com/api/stream-on-ramp/update-remitter-account ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: stream-on-ramp-api version: 1.0.0 paths: /api/v2/onramp-stream/vba/remitter-account: patch: operationId: update-remitter-account summary: Update Remitter Account description: This API is only applicable for INR bank accounts. tags: - '' parameters: - name: x-api-key in: header description: >- Your Api Key, which you can get from the Transak Partner Dashboard for the respective environment required: true schema: type: string - name: authorization in: header description: >- The authorization token is the accessToken returned by the[WhiteLabel API - api/v2/auth/verify](/api/whitelabel/user/verify-user-otp)Note: This applies only when you are not using the[Auth Reliance Flows](/features/auth-reliance) required: true schema: type: string - name: x-user-identifier in: header description: >- Your authenticated user Email Id address.Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) required: true schema: type: string - name: x-access-token in: header description: >- Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/updateRemitterAccount_Response_200' '400': description: Invalid Request content: application/json: schema: $ref: >- #/components/schemas/UpdateRemitterAccountRequestBadRequestError '500': description: Internal Server Error content: application/json: schema: $ref: >- #/components/schemas/UpdateRemitterAccountRequestInternalServerError requestBody: content: application/json: schema: type: object properties: fiatCurrency: type: string oldRemitterAccountDetails: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchRequestBodyContentApplicationJsonSchemaOldRemitterAccountDetails newRemitterAccountDetails: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchRequestBodyContentApplicationJsonSchemaNewRemitterAccountDetails required: - fiatCurrency - oldRemitterAccountDetails - newRemitterAccountDetails servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2OnrampStreamVbaRemitterAccountPatchRequestBodyContentApplicationJsonSchemaOldRemitterAccountDetails: type: object properties: accountNumber: type: string ifscCode: type: string bankName: type: string required: - accountNumber - ifscCode - bankName title: >- ApiV2OnrampStreamVbaRemitterAccountPatchRequestBodyContentApplicationJsonSchemaOldRemitterAccountDetails ApiV2OnrampStreamVbaRemitterAccountPatchRequestBodyContentApplicationJsonSchemaNewRemitterAccountDetails: type: object properties: accountNumber: type: string ifscCode: type: string bankName: type: string required: - accountNumber - ifscCode - bankName title: >- ApiV2OnrampStreamVbaRemitterAccountPatchRequestBodyContentApplicationJsonSchemaNewRemitterAccountDetails ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceRemitterAccountDetailsItems: type: object properties: accountNumber: type: string ifscCode: type: string bankName: type: string required: - accountNumber - ifscCode - bankName title: >- ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceRemitterAccountDetailsItems ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceBankAccount: type: object properties: type: type: string value: type: string required: - type - value title: >- ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceBankAccount ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceBankLocalCode: type: object properties: type: type: string value: type: string required: - type - value title: >- ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceBankLocalCode ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSource: type: object properties: remitterAccountDetails: type: array items: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceRemitterAccountDetailsItems fiatCurrency: type: string bankAccount: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceBankAccount bankLocalCode: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSourceBankLocalCode required: - remitterAccountDetails - fiatCurrency - bankAccount - bankLocalCode title: >- ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSource ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataDestination: type: object properties: cryptoCurrency: type: string walletAddress: type: string network: type: string memoTag: type: string required: - cryptoCurrency - walletAddress - network - memoTag title: >- ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataDestination ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaData: type: object properties: id: type: string status: type: string source: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataSource destination: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaDataDestination required: - id - status - source - destination title: >- ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaData updateRemitterAccount_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaData required: - data title: updateRemitterAccount_Response_200 ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer name: type: string message: type: string required: - statusCode - name - message title: >- ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaError UpdateRemitterAccountRequestBadRequestError: type: object properties: error: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaError required: - error title: UpdateRemitterAccountRequestBadRequestError UpdateRemitterAccountRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaRemitterAccountPatchResponsesContentApplicationJsonSchemaError required: - error title: UpdateRemitterAccountRequestInternalServerError ``` ## SDK Code Examples ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account" headers = { "x-api-key": "x-api-key", "authorization": "authorization", "x-user-identifier": "x-user-identifier", "x-access-token": "x-access-token", "Content-Type": "application/json" } response = requests.patch(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account'; const options = { method: 'PATCH', headers: { 'x-api-key': 'x-api-key', authorization: 'authorization', 'x-user-identifier': 'x-user-identifier', 'x-access-token': 'x-access-token', 'Content-Type': 'application/json' }, body: undefined }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account" req, _ := http.NewRequest("PATCH", url, nil) req.Header.Add("x-api-key", "x-api-key") req.Header.Add("authorization", "authorization") req.Header.Add("x-user-identifier", "x-user-identifier") req.Header.Add("x-access-token", "x-access-token") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["x-api-key"] = 'x-api-key' request["authorization"] = 'authorization' request["x-user-identifier"] = 'x-user-identifier' request["x-access-token"] = 'x-access-token' request["Content-Type"] = 'application/json' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account") .header("x-api-key", "x-api-key") .header("authorization", "authorization") .header("x-user-identifier", "x-user-identifier") .header("x-access-token", "x-access-token") .header("Content-Type", "application/json") .asString(); ``` ```php Success request('PATCH', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account', [ 'headers' => [ 'Content-Type' => 'application/json', 'authorization' => 'authorization', 'x-access-token' => 'x-access-token', 'x-api-key' => 'x-api-key', 'x-user-identifier' => 'x-user-identifier', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account"); var request = new RestRequest(Method.PATCH); request.AddHeader("x-api-key", "x-api-key"); request.AddHeader("authorization", "authorization"); request.AddHeader("x-user-identifier", "x-user-identifier"); request.AddHeader("x-access-token", "x-access-token"); request.AddHeader("Content-Type", "application/json"); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "x-api-key": "x-api-key", "authorization": "authorization", "x-user-identifier": "x-user-identifier", "x-access-token": "x-access-token", "Content-Type": "application/json" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python updateRemitterAccount_example import requests url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account" payload = { "fiatCurrency": "INR", "oldRemitterAccountDetails": { "accountNumber": "888456789", "ifscCode": "AIRP0000001", "bankName": "Kotak Bank" }, "newRemitterAccountDetails": { "accountNumber": "1234567555", "ifscCode": "AIRP0004454", "bankName": "SBI Bank" } } headers = { "x-api-key": "x-api-key", "authorization": "authorization", "x-user-identifier": "x-user-identifier", "x-access-token": "x-access-token", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript updateRemitterAccount_example const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account'; const options = { method: 'PATCH', headers: { 'x-api-key': 'x-api-key', authorization: 'authorization', 'x-user-identifier': 'x-user-identifier', 'x-access-token': 'x-access-token', 'Content-Type': 'application/json' }, body: '{"fiatCurrency":"INR","oldRemitterAccountDetails":{"accountNumber":"888456789","ifscCode":"AIRP0000001","bankName":"Kotak Bank"},"newRemitterAccountDetails":{"accountNumber":"1234567555","ifscCode":"AIRP0004454","bankName":"SBI Bank"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go updateRemitterAccount_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account" payload := strings.NewReader("{\n \"fiatCurrency\": \"INR\",\n \"oldRemitterAccountDetails\": {\n \"accountNumber\": \"888456789\",\n \"ifscCode\": \"AIRP0000001\",\n \"bankName\": \"Kotak Bank\"\n },\n \"newRemitterAccountDetails\": {\n \"accountNumber\": \"1234567555\",\n \"ifscCode\": \"AIRP0004454\",\n \"bankName\": \"SBI Bank\"\n }\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("x-api-key", "x-api-key") req.Header.Add("authorization", "authorization") req.Header.Add("x-user-identifier", "x-user-identifier") req.Header.Add("x-access-token", "x-access-token") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby updateRemitterAccount_example require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["x-api-key"] = 'x-api-key' request["authorization"] = 'authorization' request["x-user-identifier"] = 'x-user-identifier' request["x-access-token"] = 'x-access-token' request["Content-Type"] = 'application/json' request.body = "{\n \"fiatCurrency\": \"INR\",\n \"oldRemitterAccountDetails\": {\n \"accountNumber\": \"888456789\",\n \"ifscCode\": \"AIRP0000001\",\n \"bankName\": \"Kotak Bank\"\n },\n \"newRemitterAccountDetails\": {\n \"accountNumber\": \"1234567555\",\n \"ifscCode\": \"AIRP0004454\",\n \"bankName\": \"SBI Bank\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java updateRemitterAccount_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account") .header("x-api-key", "x-api-key") .header("authorization", "authorization") .header("x-user-identifier", "x-user-identifier") .header("x-access-token", "x-access-token") .header("Content-Type", "application/json") .body("{\n \"fiatCurrency\": \"INR\",\n \"oldRemitterAccountDetails\": {\n \"accountNumber\": \"888456789\",\n \"ifscCode\": \"AIRP0000001\",\n \"bankName\": \"Kotak Bank\"\n },\n \"newRemitterAccountDetails\": {\n \"accountNumber\": \"1234567555\",\n \"ifscCode\": \"AIRP0004454\",\n \"bankName\": \"SBI Bank\"\n }\n}") .asString(); ``` ```php updateRemitterAccount_example request('PATCH', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account', [ 'body' => '{ "fiatCurrency": "INR", "oldRemitterAccountDetails": { "accountNumber": "888456789", "ifscCode": "AIRP0000001", "bankName": "Kotak Bank" }, "newRemitterAccountDetails": { "accountNumber": "1234567555", "ifscCode": "AIRP0004454", "bankName": "SBI Bank" } }', 'headers' => [ 'Content-Type' => 'application/json', 'authorization' => 'authorization', 'x-access-token' => 'x-access-token', 'x-api-key' => 'x-api-key', 'x-user-identifier' => 'x-user-identifier', ], ]); echo $response->getBody(); ``` ```csharp updateRemitterAccount_example using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account"); var request = new RestRequest(Method.PATCH); request.AddHeader("x-api-key", "x-api-key"); request.AddHeader("authorization", "authorization"); request.AddHeader("x-user-identifier", "x-user-identifier"); request.AddHeader("x-access-token", "x-access-token"); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"fiatCurrency\": \"INR\",\n \"oldRemitterAccountDetails\": {\n \"accountNumber\": \"888456789\",\n \"ifscCode\": \"AIRP0000001\",\n \"bankName\": \"Kotak Bank\"\n },\n \"newRemitterAccountDetails\": {\n \"accountNumber\": \"1234567555\",\n \"ifscCode\": \"AIRP0004454\",\n \"bankName\": \"SBI Bank\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift updateRemitterAccount_example import Foundation let headers = [ "x-api-key": "x-api-key", "authorization": "authorization", "x-user-identifier": "x-user-identifier", "x-access-token": "x-access-token", "Content-Type": "application/json" ] let parameters = [ "fiatCurrency": "INR", "oldRemitterAccountDetails": [ "accountNumber": "888456789", "ifscCode": "AIRP0000001", "bankName": "Kotak Bank" ], "newRemitterAccountDetails": [ "accountNumber": "1234567555", "ifscCode": "AIRP0004454", "bankName": "SBI Bank" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```